Bug 1374620 - [RFE] No CLI interface to list systems in a pool
Summary: [RFE] No CLI interface to list systems in a pool
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line   
(Show other bugs)
Version: develop
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 24.0
Assignee: Hui Wang
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: FutureFeature, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 08:45 UTC by Hui Wang
Modified: 2017-02-21 18:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:49:30 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hui Wang 2016-09-09 08:45:37 UTC
Description of problem:
No CLI interface to list systems in a pool

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
No CLI interface to list systems in a pool

Expected results:
run bkr pool-systems <poolname>
will list systems in the pool.

Additional info:

Comment 1 Dan Callaghan 2016-09-13 02:00:56 UTC
The behaviour of this command should match bkr group-members as closely as possible, for consistency. So it will accept a single pool name and will list the systems in that pool (or error out if the named pool does not exist).

And similarly, it should take --format=list (print one FQDN per line) or --format=json (print a JSON array) with the default being --format=list.

Comment 2 Hui Wang 2016-09-19 02:09:18 UTC
https://gerrit.beaker-project.org/#/c/5212/

Comment 3 Dan Callaghan 2016-09-30 01:02:20 UTC
This bug fix is included in beaker-client-24.0-0.git.110.b8b172a which is currently available for download here:

https://beaker-project.org/nightlies/develop/

Comment 5 Dan Callaghan 2017-02-21 18:49:30 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.